# Coveo QuerySummary Component (CoveoQuerySummary)

The QuerySummary component can display information about the currently displayed range of results (e.g., "Results 1-10 of 123").

When the query does not match any items, the QuerySummary component can instead display information to the end users.

The information displayed to the end user is customizable through this component.

## Index

### Methods

- debugInfo
- disable
- enable
- getBindings
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- enableCancelLastAction
- enableNoResultsFoundMessage
- enableSearchTips
- noResultsFoundMessage
- onlyDisplaySearchTips

### Constructors

- constructor

## Methods

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  Return the debug info about this component.

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  Disable the component. Normally this means that the component will not execute handlers for the framework events (query events, for example). Components are enabled by default on creation.

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  Enable the component. Normally this means that the component will execute handlers for the framework events (query events, for example). Components are enabled by default on creation.

  #### Returns void

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  Return the bindings, or environment, for the current component.

  #### Returns IComponentBindings

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  Get the bound component to the given HTMLElement. Throws an assert if the HTMLElement has no component bound, unless using the noThrow argument.
  If there is multiple component bound to the current HTMLElement, you must specify the component class.

  #### Parameters

  - ##### element: HTMLElement

    HTMLElement for which to get the bound component.

  - ##### Optional componentClass: any

    Optional component class. If the HTMLElement has multiple components bound, you must specify which one you are targeting.

  - ##### Optional noThrow: boolean

    Boolean option to tell the method to not throw on error.

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

Allows the component to bind events and execute them only when it is enabled.

type

  {Coveo.ComponentEvents}

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

Contains the state of options for different components. Mainly used by ResultLink.

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

Contains the state of different components (enabled vs disabled). Allows to get/set values. Triggers component state event when modified. Each component can listen to those events.

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

A disabled component will not participate in the query, or listen to ComponentEvents.

type

  {boolean}

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

Allows component to log in the dev console.

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

Contains the singleton that allows to trigger queries.

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

Contains the state of the query. Allows to get/set values. Trigger query state event when modified. Each component can listen to those events.

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

A reference to the root HTMLElement (the SearchInterface).

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

A reference to the root of every component, the SearchInterface.

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

The static ID that each component needs in order to be identified.
For example, SearchButton -> static ID: SearchButton -> className: CoveoSearchButton

## Accessors

### usageAnalytics

- get (): IAnalyticsClient

- Inherited from Component.usageAnalytics

  - Defined in ui/Base/Component.ts :343

  A reference to the Analytics.client.

  #### Returns IAnalyticsClient

## Component Options

### enableCancelLastAction

enableCancelLastAction: boolean

- Defined in ui/QuerySummary/QuerySummary.ts :100

Specifies whether to display the `Cancel last action` link when there are no search results.

When clicked, the link restores the previous query that contained results.

Default value is `true`.

Default

  `true`

Markup configuration example(s) :

    data-enable-cancel-last-action='true'
    data-enable-cancel-last-action='false'

### enableNoResultsFoundMessage

enableNoResultsFoundMessage: boolean

- Defined in ui/QuerySummary/QuerySummary.ts :66

Specifies whether to display the QuerySummary.options.noResultsFoundMessage message when there are no search results.

Default value is `true`.

Default

  `true`

Available since

  August 2018 Release (v2.4609.6)

Markup configuration example(s) :

    data-enable-no-results-found-message='true'
    data-enable-no-results-found-message='false'

### enableSearchTips

enableSearchTips: boolean

- Defined in ui/QuerySummary/QuerySummary.ts :107

Specifies whether to display search tips when there are no search results.

Default value is `true`.

Default

  `true`

Markup configuration example(s) :

    data-enable-search-tips='true'
    data-enable-search-tips='false'

### noResultsFoundMessage

noResultsFoundMessage: string

- Defined in ui/QuerySummary/QuerySummary.ts :85

Specifies a custom message to display when there are no search results.

You can refer to the query the end user has entered using the `${query}` query tag.

Example

> For the `noResultFoundMessage` option, you enter `There were no results found for "${query}"`. Your end user searches for `query without results`, which does not return any result. On your page, they see this message: `There were no results found for "query without results"`.

Default value is `No results for ${query}`.

Note

> If there is no query, the value will fallback to `No results`.

Only effective when

  `enableNoResultsFoundMessage` is truthy

Available since

  August 2018 Release (v2.4609.6)

Markup configuration example(s) :

    data-no-results-found-message='foo'

### onlyDisplaySearchTips

onlyDisplaySearchTips: boolean

- Defined in ui/QuerySummary/QuerySummary.ts :57

Specifies whether to hide the number of returned results.

When this option is set to true, the number of returned results will be hidden from the page, meaning that your end users will not know how many results were returned for their query.

Default value is `false`.

Default

  `false`

Markup configuration example(s) :

    data-only-display-search-tips='true'
    data-only-display-search-tips='false'

## Constructors

### constructor

- new QuerySummary(element: HTMLElement, options?: IQuerySummaryOptions, bindings?: IComponentBindings): QuerySummary

- Overwrites Component.constructor

  - Defined in ui/QuerySummary/QuerySummary.ts :112

  Creates a new QuerySummary component.

  #### Parameters

  - ##### element: HTMLElement

    The HTMLElement on which to instantiate the component.

  - ##### Optional options: IQuerySummaryOptions

    The options for the QuerySummary component.

  - ##### Optional bindings: IComponentBindings

    The bindings that the component requires to function normally. If not set, these will be automatically resolved (with a slower execution time).

  #### Returns QuerySummary